> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify Cloudflare Token



## OpenAPI

````yaml https://platform.ankra.app/openapi.json post /api/v1/org/cloudflare/credentials/verify
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/org/cloudflare/credentials/verify:
    post:
      tags:
        - Cloudflare
      summary: Verify Cloudflare Token
      operationId: verify_cloudflare_token_api_v1_org_cloudflare_credentials_verify_post
      parameters:
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VerifyCloudflareTokenRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CloudflareVerificationResponse'
          description: Successful Response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    VerifyCloudflareTokenRequest:
      properties:
        api_token:
          type: string
          title: Api Token
          description: A scoped Cloudflare API token to check without storing it.
        account_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Account Id
      required:
        - api_token
      title: VerifyCloudflareTokenRequest
      type: object
    CloudflareVerificationResponse:
      properties:
        token_id:
          type: string
          title: Token Id
        status:
          type: string
          title: Status
        is_active:
          type: boolean
          title: Is Active
        expires_on:
          type: string
          title: Expires On
        account_id:
          type: string
          title: Account Id
        account_name:
          type: string
          title: Account Name
        zone_count:
          type: integer
          title: Zone Count
        zone_names:
          items:
            type: string
          type: array
          title: Zone Names
      required:
        - status
        - is_active
        - zone_count
        - zone_names
      title: CloudflareVerificationResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````